Page MenuHomePhabricator

cmake + xcode: prevent gtests from using includes from project root
ClosedPublic

Authored by penryu on Aug 10 2017, 4:42 PM.

Details

Summary

At present, several gtests in the lldb open source codebase are using
#include statements rooted at $(SOURCE_ROOT)/${LLDB_PROJECT_ROOT}.

This patch cleans up this directory/include structure for both CMake and
Xcode build systems.

rdar://problem/33835795

Diff Detail

Repository
rL LLVM

Event Timeline

penryu created this revision.Aug 10 2017, 4:42 PM
penryu retitled this revision from Prevent gtests from using includes from project root to cmake + xcode: prevent gtests from using includes from project root.Aug 11 2017, 1:18 PM
penryu edited the summary of this revision. (Show Details)

Note that these changes were tested on Darwin with both cmake and xcode.

penryu updated this revision to Diff 112052.Aug 21 2017, 1:37 PM

This patch limits the above include dir to unittests/, and renamed some headers to reduce ambiguity about their purpose, as suggested by beanz.

beanz accepted this revision.Aug 31 2017, 11:45 AM

This LGTM.

This revision is now accepted and ready to land.Aug 31 2017, 11:45 AM
This revision was automatically updated to reflect the committed changes.